package cn.com.infosec.jce.spec;

import java.security.spec.AlgorithmParameterSpec;

public class IESParameterSpec implements AlgorithmParameterSpec {
   private byte[] derivation;
   private byte[] encoding;
   private int macKeySize;

   public IESParameterSpec(byte[] derivation, byte[] encoding, int macKeySize) {
      IESParameterSpec var10000 = this;
      IESParameterSpec var10004 = this;
      byte[] var10006 = derivation;
      super();
      byte[] var4;
      this.derivation = var4 = new byte[derivation.length];
      int derivation1 = derivation.length;
      System.arraycopy(var10006, 0, var4, 0, derivation1);
      var10004.encoding = var4 = new byte[encoding.length];
      derivation1 = encoding.length;
      System.arraycopy(encoding, 0, var4, 0, derivation1);
      var10000.macKeySize = macKeySize;
   }

   public byte[] getDerivationV() {
      return this.derivation;
   }

   public byte[] getEncodingV() {
      return this.encoding;
   }

   public int getMacKeySize() {
      return this.macKeySize;
   }
}
